Bug 1182621 - rlFileBackup doesn't work correctly if ".." is in the path
Summary: rlFileBackup doesn't work correctly if ".." is in the path
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: beakerlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Dalibor Pospíšil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1173652 Fedora-beakerlib 1224703
TreeView+ depends on / blocked
 
Reported: 2015-01-15 15:13 UTC by Ondřej Pták
Modified: 2019-10-01 11:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:47:18 UTC


Attachments (Terms of Use)
reproducer (2.01 KB, application/x-shellscript)
2015-01-15 15:13 UTC, Ondřej Pták
no flags Details
reproducer (3.15 KB, application/x-shellscript)
2015-01-15 16:02 UTC, Ondřej Pták
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1224703 None None None 2019-10-01 11:41:38 UTC

Internal Links: 1224703

Description Ondřej Pták 2015-01-15 15:13:05 UTC
Created attachment 980522 [details]
reproducer

Description of problem:
everything in summary and reproducer

Version-Release number of selected component (if applicable):
beakerlib-1.9-3.fc21

Comment 2 Dalibor Pospíšil 2015-01-15 15:42:03 UTC
I guest this applies also to beakerlib-1.10-1?

Comment 4 Ondřej Pták 2015-01-15 16:01:54 UTC
Yes, there is the same error in beakerlib-1.10-1.
If ".." is at the beginning or at the middle of the path, there is no problem, as presented in updated reproducer

Comment 5 Ondřej Pták 2015-01-15 16:02:19 UTC
Created attachment 980549 [details]
reproducer

Comment 7 Jaroslav Reznik 2015-03-03 16:43:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 8 Fedora End Of Life 2016-07-19 20:47:18 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Fedora End Of Life 2017-02-28 09:39:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 10 Fedora End Of Life 2018-05-03 08:53:17 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Jan Kurik 2018-08-14 10:23:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.